Ubuntu 20.10 - Apache2 - PHP7.1

82 views
Skip to first unread message

Junkyard Dog

unread,
Aug 18, 2021, 1:14:16 AM8/18/21
to PartKeepr Users
Found Partkeepr recently and have been trying to install it on Ubuntu 20.10 for a few weeks on and off. Having issues with installing PHP7.1 which seems to common. Can't seem to get past that no matter what I try always have the message :
E: The repository 'http://packages.ros.org/ros/ubuntu cosmic Release' does not have a Release file.
N: Updating from such a repository can't be done securely, and is therefore disabled by default.  

On the other hand, I installed 18..04 and I was able to get pst that without a hitch up until I get to :

PartKeepr Setup sequence part A

On TESTING WEBSERVER SETTINGS I get stuck. Something in the configuration that halts the process.

I really don't want to run 18.04, but if I have I can.

Just a note about what I'm working with.

I'm working on a Windows 10 system with HYPER-V and it works fine especially with ubuntu with NextCloud no issues. 

Any help on 20.10 and getting past the installation of PHP7.1 would be much appreciated. Not a programmer or anything there of, so if you don't mind keeping the help in laymen's terms would greatly be appreciated.

Thanks

Junkyard Dog

unread,
Aug 20, 2021, 4:33:40 PM8/20/21
to PartKeepr Users
Well, I finally got past the TESTING WEBSERVER SETTINGS and luck me I didn't need to go back a step at all since I'm working on Hyper-v I just made a clone copy before each step that way if it really screws up all I would have had to do is to delete the working copy and copy back over the clone so it would be free and clean of any prior mistakes and I wouldn't have to start the re-install process. 

Working on configuring the Database Today, but this sofware seems to be swift as far as speed. Other types of programs I have played with seem to have more of a latency. 

Welll I'll report back to you once I get past the DataBase configuration because after that, I want to try and upgrade from 18.04 to 20.04 or 20.10 through ubuntu upgrade process as I was not able to install PartKeepr on Ubuntu 20.10 with the issue of PHP7.1 

Well hopefully it will work.

Đoàn Hiếu

unread,
Aug 26, 2021, 4:59:54 AM8/26/21
to PartKeepr Users
I follow this instruction and working fine :  Partkeepr 1.4.0 on Ubuntu 20.04 LTS LAMP stack (davidrowntree.co.uk)
Reply all
Reply to author
Forward
0 new messages